import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class ScoreImage extends Actor
{
    private int value = 0;
    private String text;
    private int stringLength;
    private Color textColor = new Color(0, 0, 0);
    
    public ScoreImage(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 10;
        
        GreenfootImage newScoreImage = new GreenfootImage(stringLength, 16);
        setImage (newScoreImage);
        
        newScoreImage.setColor(textColor);
        updateImage();
    }
    
    public void add(int score)
    {   
        value = value + score;
        LevelUp newlevel = new LevelUp(score);
        if(value == 5*(value/5))
        {
            getWorld().addObject(newlevel, 250, 245);
            updateImage();
            getWorld().addObject(new Enemy(), 250 , 40);
            Greenfoot.delay(30);
            getWorld().removeObject(newlevel);
        }
    }

    public void subtract(int score)
    {
        value = value - score;
    }
    
    public int getValue()
    {
        return value;
    }
    
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(text + value, 1, 12);
    }
    
    public void act() 
    {
        updateImage();  
    }    
}
